# Per Rally Event Feed

Describes all the events which happened during a rally including; spin, shot type (back/forehand), speed, duration, result and more.

## Endpoint URL

## Live Rally Event Feed

`CONNECT` `wss://dde-generic-datastream.dde-prod.imgarena.dev/ws/tennis/rally/tracking/events`

{% tabs %}
{% tab title="404: Not Found Unknown Fixture" %}

```javascript
{
    "message": "Could not find fixture topic soccer.tracking.enrichment.08456e52-9cf7-48cc-913c-f45ec",
    "level": "WARN"
}
```

{% endtab %}

{% tab title="400: Bad Request Failed Authentication Request" %}

```javascript
{
    "message": "Authentication message had incorrect format",
    "level": "ERROR"
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.summary",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "events": [
        {
            "id": "37D0ED86-F2C6-4E14-82F6-358872D88042",
            "team": 1,
            "player": 1,
            "spin": {
                "type": "Back",
                "rpm": -1233.454,
                "rps": -20.558
            },
            "speed": 17.181138205496335,
            "result": "Rally",
            "call": "",
            "time": 0.0,
            "duration": 2.4442231432767585
        },
        {
            "id": "A0F8C8CE-BA79-4CA2-A95B-5472CD454D62",
            "team": 1,
            "player": 1,
            "shot": "Return",
            "spin": {
                "type": "None"
            },
            "speed": 56.37009224766204,
            "result": "Rally",
            "call": "",
            "time": 2.4442231432767585,
            "duration": 1.352568801958114
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## JSON Response

<details>

<summary>Rally Event</summary>

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.summary",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "events": [
        {
            "id": "37D0ED86-F2C6-4E14-82F6-358872D88042",
            "team": 1,
            "player": 1,
            "spin": {
                "type": "Back",
                "rpm": -1233.454,
                "rps": -20.558
            },
            "speed": 17.181138205496335,
            "result": "Rally",
            "call": "",
            "time": 0.0,
            "duration": 2.4442231432767585
        },
        {
            "id": "A0F8C8CE-BA79-4CA2-A95B-5472CD454D62",
            "team": 1,
            "player": 1,
            "shot": "Return",
            "spin": {
                "type": "None"
            },
            "speed": 56.37009224766204,
            "result": "Rally",
            "call": "",
            "time": 2.4442231432767585,
            "duration": 1.352568801958114
        }
    ]
}
```

</details>

## Response Fields

{% file src="/files/hCSPPguDwL1NNDsT7G73" %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/tennis/p-and-b-tracking-websockets/per-rally-event-feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
